# skbio.stats.gradient.WindowDifferenceGradientANOVA

class `skbio.stats.gradient.``WindowDifferenceGradientANOVA`(coords, prop_expl, metadata_map, window_size, **kwargs)

  Perform trajectory analysis using the modified first difference algorithm

  It calculates the norm for all the time-points and subtracts the mean of the next number of elements specified in window_size and the current element.

  Parameters:

  coords : pandas.DataFrame

  > The coordinates for each sample id

  prop_expl : array like

  > The numpy 1-D array with the proportion explained by each axis in coords

  metadata_map : pandas.DataFrame

  > The metadata map, indexed by sample ids and columns are metadata categories

  window_size : int or long

  > The window size to use while computing the differences

  Raises:

  ValueError

  > If the window_size is not a positive integer

  See also

  `GradientANOVA`

  Methods

  `get_trajectories`() | Compute the trajectories for each group in each category and run